Bug 166675 - [PATCH] lang/ocaml-camlidl: mark MAKE_JOBS_UNSAFE
Summary: [PATCH] lang/ocaml-camlidl: mark MAKE_JOBS_UNSAFE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-05 17:30 UTC by Mykola Dzham
Modified: 2012-04-19 05:20 UTC (History)
0 users

See Also:


Attachments
ocaml-camlidl-1.05_2.patch (490 bytes, patch)
2012-04-05 17:30 UTC, Mykola Dzham
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mykola Dzham 2012-04-05 17:30:10 UTC
Ports does not build when FORCE_MAKE_JOBS set:

===>  Building for ocaml-camlidl-1.05_2
cd compiler; make all
rm -f config.ml
sed -e 's|%%CPP%%|/usr/bin/cpp|'  config.mlp > config.ml
chmod -w config.ml
ocamlc -g -c utils.mli
ocamlc -g -c config.mli
ocamlc -g -c idltypes.mli
ocamlc -g -c linenum.mli
ocamllex linenum.mll
ocamlyacc -v parser_midl.mly
12 shift/reduce conflicts.
16 states, 331 transitions, table size 1420 bytes
ocamllex lexer_midl.mll
ocamlc -g -c utils.ml
ocamlc -g -c clflags.ml
ocamlc -g -c config.ml
129 states, 1747 transitions, table size 7762 bytes
ocamlc -g -c constdecl.mli
ocamlc -g -c cvttyp.mli
ocamlc -g -c enumdecl.mli
ocamlc -g -c enum.mli
File "enum.mli", line 20, characters 26-34:
Error: Unbound module Prefix
*** [enum.cmi] Error code 2
1 error
*** [all] Error code 2
1 error

Generated with FreeBSD Port Tools 0.99_4 (mode: change, diff: CVS)

How-To-Repeat: Try to build with FORCE_MAKE_JOBS
Comment 1 Brendan Fabeny freebsd_committer 2012-04-07 21:32:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-04-19 05:10:43 UTC
bf          2012-04-19 04:10:34 UTC

  FreeBSD ports repository

  Modified files:
    lang/ocaml-camlidl   Makefile 
  Log:
  mark MAKE_JOBS_UNSAFE
  
  PR:             166675
  Submitted by:   M. Dzham
  
  Revision  Changes    Path
  1.11      +2 -0      ports/lang/ocaml-camlidl/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Brendan Fabeny freebsd_committer 2012-04-19 05:14:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!